<header>
  <div class="brand">
    <img src="assets/img/logo.png" alt="">
    <span class="company">
      Whatever Services, Ltd.
    </span>
  </div>

  <div class="form" *ngIf="!signedIn">
    <input type="text" placeholder="Username" #username/>
    <input type="password" placeholder="Password" #password/>
    <button (click)="signIn(username.value, password.value)">Sign-In</button>
  </div>

  <div class="signed-in" *ngIf="signedIn">
    <span class="name">
      {{auth.currentUser.displayName}}
    </span>
    <button (click)="signOut()" class="sign-out">Sign-Out</button>
  </div>
</header>
